import * as React from 'react';
import * as common from 'schema-based-json-editor';
/**
 * @public
 */
export declare type Props = common.Props<common.AnySchema, common.ValueType>;
/**
 * @public
 */
export declare type State = Partial<{
    value?: common.ValueType;
    errorMessage: string;
}>;
export declare class AnyEditor extends React.Component<Props, State> {
    private value?;
    private monacoEditorRef;
    private monacoCodeEditor;
    constructor(props: Props);
    componentDidMount(): void;
    render(): JSX.Element;
    private readonly className;
    private readonly titleToShow;
    private readonly isReadOnly;
    private readonly hasDeleteButtonFunction;
    private toggleOptional;
}
